
Redmine - Defect #20583

Setting Category/Version as a required field causes error in projects without categories/versions
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 2.5.3

Description

When I go to "Administration" --> "Workflow" --> "Fields permissions", then I can set the "Category" as required. The effect now is,

that when I create or edit an issue, the field "Category" is required.

But if the project has no defined categories, this validation accidently tells me, that no category is selected. In my opinion the

validation should only check in projects, where one ore more categories are present.

Related issues:

Related to Redmine - Feature #18004: Do NOT hide category and version fields ... Closed

Associated revisions

Revision 14733 - 2015-10-24 08:22 - Jean-Philippe Lang

Don't require category or target version when they are not available (#20583).

History

#1 - 2015-08-21 13:16 - budo kaiman

I will +1 this as it's annoying to have to create a single category for a project when it's required for another project.

Ideally, however, this should be fixed as part of #1853 by having the workflow per-project.

#2 - 2015-09-28 16:28 - Go MAEDA

The same can be said about the "Target version".

I think that the cause of annoyance is that the user cannot know the field is required before submitting the form because "Category" and "Target

version" are hidden when they don't have any value.

I think the solution for this issue is to implement #18004. It makes those fields visible at all time, so the user can understand the field is required at a

glance whether or not those fields have values.

#3 - 2015-10-10 05:53 - Go MAEDA

- Related to Feature #18004: Do NOT hide category and version fields on issue form when no category or version is configured added

#4 - 2015-10-24 08:23 - Jean-Philippe Lang

- Subject changed from Setting Category as a required field causes error in projects without categories to Setting Category/Version as a required field

causes error in projects without categories/versions

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

- Resolution set to Fixed

Fixed in r14733.
